Bug 804968 - Put /etc/ant.d on the LOCALCLASSPATH
Summary: Put /etc/ant.d on the LOCALCLASSPATH
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: ant
Version: rawhide
Hardware: All
OS: All
low
unspecified
Target Milestone: ---
Assignee: François Cami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-20 10:48 UTC by Carlo de Wolf
Modified: 2019-10-22 13:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 18:29:51 UTC


Attachments (Terms of Use)

Description Carlo de Wolf 2012-03-20 10:48:32 UTC
Description of problem:

To allow usage of antlib.xml scripts installed by other rpms /etc/ant.d must be on the LOCALCLASSPATH for ant to find these scripts.

Version-Release number of selected component (if applicable):

ant-1.8.3-1.fc17.noarch

Comment 1 Carlo de Wolf 2012-03-20 10:53:06 UTC
https://github.com/wolfc/gradle/blob/db644511d09a5079274ca351aa2c610ade6dc642/bootstrap/ant.d/org/fedoraproject/groovyc/antlib.xml

To be able to use a task groovyc:groovyc the following should be added to a build.xml:

<project name="gradle-bootstrap" default="bootstrap"
   xmlns:groovyc="antlib:org.fedoraproject.groovyc">
</project>

The groovy package should install the following in /etc/ant.d/org/fedoraproject/groovyc/antlib.xml:

<?xml version="1.0"?>
<antlib>
    <taskdef name="groovyc"
             classname="org.codehaus.groovy.ant.Groovyc">
        <classpath>
            <fileset dir="/usr/share/java/objectweb-asm" includes="*.jar"/>
            <pathelement path="/usr/share/java/commons-cli.jar"/>
            <pathelement path="/usr/share/java/groovy.jar"/>
        </classpath>
    </taskdef>
</antlib>

A temporary work-around is having ant.d within the current directory and using the following build.sh script:

#!/bin/sh
. /usr/share/java-utils/java-functions
set_jvm

LOCALCLASSPATH="$(/usr/bin/build-classpath ant ant-launcher)"

# Explicitly add javac path to classpath, assume JAVA_HOME set
# properly in rpm mode
LOCALCLASSPATH="$LOCALCLASSPATH:$JAVA_HOME/lib/tools.jar"

# Add my own extensions
LOCALCLASSPATH="$LOCALCLASSPATH:ant.d"

# pass bypassAndD to the build script to guard proper invocation
LOCALCLASSPATH="$LOCALCLASSPATH" exec /usr/bin/ant -DbypassAntD=true --noconfig $*

Comment 2 Fedora End Of Life 2013-07-04 06:51:36 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 18:29:58 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora End Of Life 2013-12-21 15:01:19 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-01-09 21:57:08 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 François Cami 2019-04-27 23:11:59 UTC
Hi Carlo,

Is this issue still relevant in f30+?

Thank you,
François

Comment 7 Carlo de Wolf 2019-10-22 13:31:43 UTC
Unless someone is actively investigating or requiring this, it is no longer relevant.


Note You need to log in before you can comment on or make changes to this bug.